Name: libpcap
Version: 0.8.3
Release: 3tr
License: BSD
Summary: A system-independent interface for user-level packet capture.
Source: http://www.tcpdump.org/release/libpcap-%{version}.tar.gz
Patch1: libpcap-0.8.3-shared.patch
Group: Trustix Official
BuildRequires: bison, flex
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

Install libpcap if you need to do low-level network traffic monitoring
on your network.


%prep
%setup -q
%patch1 -p1


%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure --includedir=/usr/include/pcap \
	   --enable-ipv6 --enable-yydebug
make all shared


%install
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
export MAJOR=$(echo %{version} | awk -F. '{ print $1 }')
export MINOR=$(echo %{version} | awk -F. '{ print $2 }')
make install install-shared DESTDIR=$RPM_BUILD_ROOT/
pushd $RPM_BUILD_ROOT%{_libdir}
  ln -s %{name}.so.%{version} %{name}.so.$MAJOR
  ln -s %{name}.so.%{version} %{name}.so
popd


%clean
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc README README.linux CHANGES TODO
%{_prefix}/include/pcap
%{_libdir}/*
%{_prefix}/share/man/man3/pcap.3*


%changelog
* Thu Apr 28 2005 Ajith Thampi <ajith at comodo dot com> 0.8.3-3tr
- Fixed the libraries to act as shared. 
- Fixed the Unresolved symbols list with it.

* Fri Dec 31 2004 Ajith Thampi <ajith at comodo dot com> 0.8.3-2tr
- Fixed symlink to %{version}

* Tue Sep 14 2004 Erlend Midttun <erlendbm at trustix dot org> 0.8.3-1tr
- New upstream.

* Fri Apr 22 2004 Erlend Midttun <erlendbm at trustix dot org> 0.8.2-4tr
- Now also build shared libraries.

* Fri Apr 16 2004 Oystein Viggen <oysteivi at trustix dot com> 0.8.2-3tr
- Don't hardcode lib directory name (in file list)

* Tue Mar 30 2004 Erlend Midttun <erlendbm at trustix dot org> 0.8.2-2tr
- New upstream.

* Wed Feb 11 2004 Omar Kilani <ok at trustix dot org> 0.8.1-2ok
- Enable yydebug in configure, until either gcc or tcpdump upstream is fixed.

* Sun Feb  8 2004 Omar Kilani <ok at trustix dot org> 0.8.1-1ok
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.7.2-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.7.2-2em
- Rebuilt against glibc 2.3.2.

* Wed Mar  5 2003 Erlend Midttun <erlendbm at trustix dot com> 0.7.2-1em
- New upstream version.

* Thu Jan 16 2003 Goetz Bock <bock at trustix dot org> 0.7.1-2bg
- we don't need kernel >= 2.2.20, but conflict with kernel < 2.2.20
  as uml will work, too.
- there are no shared libs, I'd like to renamed this package to -devel,
  but that creates an empty libpcap rpm :-(
- changed group to Development
  
* Tue Jul 23 2002 Christian H. Toldnes <christht at trustix dot com> 0.7.1-1ct
- New upstream version
- built for tsl2.0

* Thu Mar  8 2001 Alexander Reelsen <ar at trustix dot com>
- Splitted libpcap from tcpdump package
- IPv6 enabled
